# $Revision: 1.19 $, $Date: 2001/07/19 20:56:47 $
Summary:	A tool for gathering and displaying system information
Summary(de):	Informationen zum proc-Dateisystem
Summary(fr):	informations sur le systme de fichiers proc
Summary(pl):	Informacje z filesystemu proc
Summary(tr):	proc dosya sistemi bilgileri
Name:		procinfo
Version:	18
Release:	2
License:	GPL
Group:		Applications/System
Group(de):	Applikationen/System
Group(pl):	Aplikacje/System
Source0:	ftp://ftp.cistron.nl/pub/people/svm/%{name}-%{version}.tar.gz
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-uptime.patch
Patch2:		%{name}-lsdev.patch
BuildRequires:	ncurses-devel >= 5.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The procinfo command gets system data from the /proc directory (the
kernel filesystem), formats it and displays it on standard output. You
can use procinfo to acquire information about your system from the
kernel as it is running.

%description -l de
Mit dem Paket procinfo knnen Sie ntzliche Informationen aus /proc
abrufen. /proc ist das Kernel-Dateisystem, das Informationen ber den
laufenden Kernel enthlt.

%description -l fr
procinfo est un paquetage permettant d'obtenir des informations utiles
 partir de /proc. /proc est le systme de fichiers du noyau. C'est
l'endroit o vous pouvez allez pour obtenir des informations sur le
noyau qui s'excute.

%description -l pl
Procinfo jest programem, ktry przekazuje informacje wyczytane z
systemu plikw jdra - /proc.

%description -l tr
procinfo, /proc dosya sisteminden bilgi almanza izin veren bir
pakettir. /proc ekirdek dosya sistemini tutar ve koan
ekirdeinizden bilgi edinebileceiniz bir dizin yaps sunar.

%package perl
Summary:	procinfo perl helper scripts
Group:		Applications/System
Group(de):	Applikationen/System
Group(pl):	Aplikacje/System
Requires:	%{name} = %{version}

%description perl
Procinfo perl helper scripts.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make	CFLAGS="%{rpmcflags} -I/usr/include/ncurses" \
	LDLIBS="-lncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8}

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT" \
	prefix=%{_prefix} \
	bindir=%{_bindir} \
	mandir=%{_mandir}

gzip -9nf README $RPM_BUILD_ROOT%{_mandir}/man8/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.gz
%attr(755,root,root) %{_bindir}/procinfo
%{_mandir}/man8/procinfo*

%files perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/lsdev
%attr(755,root,root) %{_bindir}/socklist
%{_mandir}/man8/lsdev*
%{_mandir}/man8/socklist*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: procinfo.spec,v $
Revision 1.19  2001/07/19 20:56:47  kloczek
- release 2: merge lsdev patch (from rawhide).

Revision 1.18  2001/04/22 15:27:03  kloczek
- updated to 18,
- spec adapterized and updated patches list.

Revision 1.17  2000/12/28 15:08:26  baggins
- release 5
- added perl package

Revision 1.16  2000/07/13 23:20:08  baggins
- release 4
- rebuild with ncurses 5.1

Revision 1.15  2000/06/09 07:23:51  kloczek
- added using %%{__make} macro.

Revision 1.14  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.13  2000/04/01 11:15:36  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.11  2000/01/15 15:51:38  kloczek
- release 3,
- added two patches from rawhide with fixes for SMP,
- adapter(ized).

Revision 1.10  1999/11/16 18:01:48  kloczek
- release 2,
- added BuildRequires rules,
- build against ncurses 5.0.

Revision 1.9  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri May 14 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [17-1]
- package is FHS 2.0 compliant,
- spec based on RH version and rewritten by Artur Frysiak <wiget@pld.org.pl>
  and Wojtek lusarczyk <wojtek@shadow.eu.org>.
